ChiliProject - Feature # 339: Support full textile syntax

Status: Declined Priority: Normal

Author: Ruben Willems Category: Wikis

Created: 2011-04-15 Assignee:

Updated: 2011-05-07 Due date:

Remote issue URL:

Affected version: 1.2.0

Description: In the wiki is referenced to that Textism is supported, but basic items like colors are not supported.
example

h2{color:green}. This is a title

does not show any color
nor does the following with tables :

<{background:gray}. | column1 | column2 |

History

2011-04-15 08:24 pm - Felix Schéafer
| guess you mean Textile, correct? The inline css support is disabled due to security concerns.

2011-04-15 08:30 pm - Holger Just

Why you try to include here is pure CSS. This is indeed disabled in ChiliProject because it allows anyone to include certain (possibly malformed) CSS
and Javascript which can easily lead to a simple to exploit cross site scripting issues.

A workaround we choose at ChiliProject is to include some [[Extra_CSS|special CSS]] classes into our theme which can be used to achieve some
formatting effects without having to suffer from the above issues. Another possibility would be my "Wiki CSS
plugin":http://dev.holgerjust.de/projects/redmine-wiki-css/wiki to allows trusted users to add additional CSS to wiki pages.

Having said that, | vote _Declined_ on this issue.

2011-04-15 10:36 pm - Holger Just
- Subject changed from support full Textims syntax to Support full textile syntax

2011-05-07 12:49 pm - Muntek Singh

- Status changed from Open to Declined

Declined as the underlying security issue will never change (as per my discussion with several textile people) and several alternative solutions exist.
* Enable the full css on your installation only

* Add the css classes into your theme (as done here)
* Holgers CSS Plugin
